Set Cluster Dns Credential
PUT
/clusters/{cluster_id}/dns-credential
const url = 'https://api.mengi.cloud/clusters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/dns-credential';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"dns_credential_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.mengi.cloud/clusters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/dns-credential \ --header 'Content-Type: application/json' \ --data '{ "dns_credential_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Attach a DNS credential to a cluster (or detach with a null id) so the per-cluster external-dns manages that credential’s domain (BYOC DNS, Phase 3).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”cluster_id
required
Cluster Id
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}